Bug 929328 (CVE-2013-1901)

Summary: CVE-2013-1901 postgresql: Improper user privilege check for on-line backups
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bdunne, jfrey, jrafanie, kseifried, security-response-team, tgl
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130404,reported=20130327,source=upstream,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-5/postgresql=notaffected,rhel-5/postgresql84=notaffected,rhel-6/postgresql=notaffected,fedora-all/postgresql=affected,cfme-5/postgresql=wontfix
Fixed In Version: PostgreSQL 9.1.9, PostgreSQL 9.2.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-08 13:46:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 947206, 948312    
Bug Blocks: 929332    

Description Jan Lieskovsky 2013-03-29 12:49:02 EDT
A security flaw was found in the way REPLICATION privilege checking mechanism of PostgreSQL, an advanced Object-Relational database management system, performed user privilege verification when preparing and finishing of on-line backup(s). An unprivileged database user could use this flaw to interfere with succesful creation of the routine backups.
Comment 2 Jan Lieskovsky 2013-03-29 12:54:24 EDT
This issue did not affect the version of the postgresql package, as shipped with Red Hat Enterprise Linux 5.

--

This issue did not affect the version of the postgresql84 package, as shipped with Red Hat Enterprise Linux 5.

--

This issue did not affect the version of the postgresql package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the postgresql package, as shipped with Fedora release of 17 and 18.
Comment 3 Jan Lieskovsky 2013-03-29 12:55:38 EDT
Acknowledgements:

Red Hat would like to thank the PostgreSQL project for reporting this issue. Upstream acknowledges Noah Misch as the original issue reporter.
Comment 4 Huzaifa S. Sidhpurwala 2013-04-01 02:52:20 EDT
Statement:

Not Vulnerable. This issue does not affect the version of postgresql as shipped with Red Hat Enterprise Linux 5 and 6. This issue does not affect the version of postgresql84 as shipped with Red Hat Enterprise Linux 5.
Comment 7 Vincent Danen 2013-04-04 10:43:06 EDT
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 948312]
Comment 8 Tomas Hoger 2013-04-04 10:56:05 EDT
Upstream announcement:

http://www.postgresql.org/about/news/1456/
Comment 9 Fedora Update System 2013-04-05 18:59:35 EDT
postgresql-9.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-04-05 19:11:48 EDT
postgresql-9.1.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-04-20 15:59:40 EDT
postgresql-9.2.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.